Subject: linux-next ARM multi-platform randconfig errors

From: [email-masked] (Roger Quadros)
Date: Mon, 22 Apr 2013 10:23:57 +0300

-Kevin Hilman <[email-masked]>
+Kevin Hilman <[email-masked]>

On 04/19/2013 07:12 PM, Tony Lindgren wrote:
> * Rob Herring <[email-masked]> [130418 20:11]:
>> Current errors in linux-next for ARM multi-platform randconfig builds.
>>
>> Rob
>>
>> arch/arm/mach-omap2/built-in.o:dss-common.c:(.init.text+0x6830): more undefined references to `usb_bind_phy' follow
> 
> Felipe & Roger, can you guys take a look at the usb_bind_phy issue
> in linux next? I have not seen that in the multiplatform randconfigs
> I've built, but I have had some omap2+ specific things enabled there.

These problems happen if USB_PHY is not enabled as a built-in driver.
I had pointed this out earlier [1] and Felipe should have a fix for it.

[1] https://lkml.org/lkml/2013/4/11/270

cheers,
-roger